Subject: Re: Loop detected - calling function from different modules

From: Stephen Hemminger <[email-masked]>
Date: Wed, 30 Aug 2006 14:26:07 -0700

On Wed, 30 Aug 2006 22:58:17 +0200
"Frank Schneider" <[email-masked]> wrote:

> 
> hi all,
> 
> I am writing/customizing a network(wlan pc card) device driver for Linux 
> kernel 2.6.12
> Think about I have two modules e.g. ath_pci and wlan module.
> I can call a function from a   .c file which is implemented in a  .c file in 
> wlan module by using EXPORT_SYMBOL macro..
> 
> and i need to do same in reverse way, i.e. call a function from wlan module 
> that is implemented in ath_pci module.
> 
> I did the same way and its making but when I do  make install its showing 
> following error:
> 
> WARNING: Loop detected: /lib/modules/2.6.12/net/ath_pci.ko needs wlan.ko 
> which needs ath_pci.ko again!
> 
> Please anybody tell how can I do this, any clue , please ?
> 
> thanx in advance
> 
> n.b. this question may consider as very naive since I am not good yet in 
> kernel hacking.. !!!!
> 
> regards,
> /Frank

Where are these open source drivers so the wireless developers can help?

-- 
Stephen Hemminger <[email-masked]>